﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.Layouts;

namespace TicketTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Name", typeof(string));
            for (int i = 0; i < 10; i++)
            {
                table.Rows.Add(i, "Row " + i);
            }

            RadMultiColumnComboBox box = new RadMultiColumnComboBox();
            box.Size = new System.Drawing.Size(200, 20);
            box.Location = new Point(50, 50);
            box.DataSource = table;
            this.Controls.Add(box);

            BottomView view = new BottomView();
            box.EditorControl.GridViewElement.Panel.Children.Insert(0, view);
            view.SetValue(DockLayoutPanel.DockProperty, Telerik.WinControls.Layouts.Dock.Bottom);
        }
    }

    public class BottomView : LightVisualElement, IGridView
    {
        RadGridViewElement element;
        GridViewInfo viewInfo;

        #region IGridView Members

        public RadGridViewElement GridViewElement { get { return element; } }

        public GridViewInfo ViewInfo { get { return viewInfo; } }

        public void Initialize(RadGridViewElement gridViewElement, GridViewInfo viewInfo)
        {
            this.element = gridViewElement;
            this.viewInfo = viewInfo;
        }

        public void UpdateView() { }

        public void Detach() { }

        #endregion

        protected override void InitializeFields()
        {
            base.InitializeFields();
            this.StretchHorizontally = true;
            this.StretchVertically = false;
            this.MaxSize = new Size(0, 26);
            this.MinSize = new Size(0, 26);
            this.Padding = new Padding(3);
        }

        protected override void CreateChildElements()
        {
            base.CreateChildElements();

            RadButtonElement button1 = new RadButtonElement("Add");
            button1.StretchHorizontally = true;
            button1.StretchVertically = true;

            RadButtonElement button2 = new RadButtonElement("Remove");
            button2.StretchHorizontally = true;
            button2.StretchVertically = true;

            StackLayoutElement stack = new StackLayoutElement();
            stack.StretchHorizontally = true;
            stack.StretchVertically = true;
            stack.Children.Add(button1);
            stack.Children.Add(button2);
            this.Children.Add(stack);
        }
    }
}
